# Globals.Loader (Luaj API)
Date: 2015-04-29

## org.luaj.vm2
Interface Globals.Loader

All Known Implementing Classes:
  LuaC, LuaJC

Enclosing class:
  Globals

    public static interface Globals.Loader

Interface for module that converts a Prototype into a LuaFunction with an environment.

Method Summary
`LuaFunction` `load(Prototype prototype, java.lang.String chunkname, LuaValue env)` Convert the prototype into a LuaFunction with the supplied environment.

Method Detail

### load

    LuaFunction load(Prototype prototype,
                     java.lang.String chunkname,
                     LuaValue env)
                     throws java.io.IOException

  Convert the prototype into a LuaFunction with the supplied environment.

  Throws:
    `java.io.IOException`

Copyright © 2007-2015 Luaj.org. All Rights Reserved.